<?php 
/**
 * 电影标签 MOVIE基本信息
 */

$new_meta_boxes_movie_tag_mi =      
	array( 
	"english_name_mi" => array(      
			"name" => "english_name_mi",      
			"std" => "英文名"     
			),     
		"aliases_mi" => array(      
			"name" => "aliases_mi",      
			"std" => "又名"     
			),
		"years_mi" => array(
			"name"=> "years_mi",
			"std"=> "年份"
			),
		"time_shang_mi" => array(
			"name"=> "time_shang_mi",
			"std"=> "上映时间"
			),
		"Director_mi" => array(
			"name"=> "Director_mi",
			"std"=> "导演"
			),
		"scenarist_mi" => array(
			"name"=> "scenarist_mi",
			"std"=> "编剧"
			),
		"performer_mi" => array(
			"name"=> "performer_mi",
			"std"=> "主演"
			),
		"brief_introduction_mi" => array(
			"name"=> "brief_introduction_mi",
			"std"=> "简介"
			),
		"video_url" => array(
			"name"=> "video_url",
			"std"=> "视频地址"
			),
		"imdb_mi" => array(
			"name"=> "imdb_mi",
			"std"=> "IMDB"
			),
		"douban_mi" => array(
			"name"=> "douban_mi",
			"std"=> "豆瓣(评分)"
			),
		"douban_url_mi" => array(
			"name"=> "douban_url_mi",
			"std"=> "豆瓣(地址)"
			)

		
		
	);

function movie_tag_mi_hs_call_someClass() {
    new movie_tag_mi_con_someClass();
}

if ( is_admin() ) {
    add_action( 'load-post.php', 'movie_tag_mi_hs_call_someClass' );
    add_action( 'load-post-new.php', 'movie_tag_mi_hs_call_someClass' );
}

/** 
 * The Class.
 */
class movie_tag_mi_con_someClass {

	/**
	 * Hook into the appropriate actions when the class is constructed.
	 */
	public function __construct() {
		add_action( 'add_meta_boxes', array( $this, 'add_meta_box' ) );
		add_action( 'save_post','movie_tag_mi_text::save', 1, 2);
	}

	/**
	 * Adds the meta box container.
	 */
	public function add_meta_box( $post_type ) {
            $post_types = array('movie_bt','photographic_art','visual_design');     //limit meta box to certain post types
            if ( in_array( $post_type, $post_types )) {
		add_meta_box(
			'author_meta_box_name'
			,__( 'Movie Basic Information', 'mibt' )
			,'movie_tag_mi_text::output'
			,$post_type
			,'normal'
			,'high'
		);
            }
	}


	
}
?>
<?php


class movie_tag_mi_text {

	/**
	 * Output the metabox
	 */
	public static function output( $post ) {
		?>
		
		<?php
			global $post, $new_meta_boxes_movie_tag_mi;   
			echo '<p class="tips">'.__('Separate multiple entries with a comma (,)','mibt').'</p>';   
			foreach($new_meta_boxes_movie_tag_mi as $meta_box) {
				$meta_box_value = get_post_meta($post->ID, $meta_box['name'].'_value', true);    
				if($meta_box['name']=='douban_url_mi'||$meta_box['name']=='douban_mi'){
					echo'<div class="'.$meta_box['name'].' form-field"><input type="hidden" name="'.$meta_box['name'].'_noncename" id="'.$meta_box['name'].'_noncename" value="'.wp_create_nonce( plugin_basename(__FILE__) ).'" />';      
					echo'<span>'.$meta_box['std'].'</span>';      
					echo '<textarea cols="33" rows="1" name="'.$meta_box['name'].'_value">'.$meta_box_value.'</textarea></div>';
				}else{
					echo'<div class="zbxx_list form-field"><input type="hidden" name="'.$meta_box['name'].'_noncename" id="'.$meta_box['name'].'_noncename" value="'.wp_create_nonce( plugin_basename(__FILE__) ).'" />';      
					echo'<span>'.$meta_box['std'].'</span>';      
					echo '<textarea cols="33" rows="1" name="'.$meta_box['name'].'_value">'.$meta_box_value.'</textarea></div>';
				} 
			};
			echo '<div class="clear"></div>';
			echo '<div class="infobtn"><a href="javascript:;" class="button douban">'.__('Get information from DOUBAN','mibt').'</a>';
			echo '<a href="javascript:;" class="button imdb">'.__('Get information from IMDB','mibt').'</a></div>';
		 ?>
        
	
        
		<?php
	}


	/**
	 * Save the meta when the post is saved.
	 *
	 * @param int $post_id The ID of the post being saved.
	 */
public static function save( $post_id ) {
	global $post, $new_meta_boxes_movie_tag_mi;      
	foreach($new_meta_boxes_movie_tag_mi as $meta_box) {  
		if ( !wp_verify_nonce( $_POST[$meta_box['name'].'_noncename'], plugin_basename(__FILE__) ))  {      
			return $post_id;      
		}      
		if ( 'page' == $_POST['post_type'] ) {      
			if ( !current_user_can( 'edit_page', $post_id ))      
				return $post_id;      
		}       
		else
		{      
			if ( !current_user_can( 'edit_post', $post_id ))      
				return $post_id;      
		}      
		$data = $_POST[$meta_box['name'].'_value'];      
         
		if(get_post_meta($post_id, $meta_box['name'].'_value') == "")      
			add_post_meta($post_id, $meta_box['name'].'_value', $data, true);      
		elseif($data != get_post_meta($post_id, $meta_box['name'].'_value', true))      
			update_post_meta($post_id, $meta_box['name'].'_value', $data);      
		elseif($data == "")      
			delete_post_meta($post_id, $meta_box['name'].'_value', get_post_meta($post_id, $meta_box['name'].'_value', true));      
	}   
	if(!empty($_POST['years_mi_value'])){
		$terms=trim($_POST['years_mi_value']);
		//wp_set_post_categories( $post_id, $post_categories, $append );
		 wp_set_object_terms( $post_id, $terms, 'movie_bt_year');
       		}
	}
	
	
}

?>