<?php
// BT
function post_type_movie_bt() {
   register_post_type(
			'movie_bt', 
			array( 
			'public' => true,
			'publicly_queryable' => true,
			'hierarchical' => false,
			'labels'=>array(
				'name' => _x('Movie BT', 'post type general name','mibt'),
				'singular_name' => _x('Movie BT', 'post type singular name','mibt'),
				'add_new' => _x('add BT', 'Movie BT','mibt'),
				'add_new_item' => __('add BT','mibt'),
				'edit_item' => __('Edit BT','mibt'),
				'new_item' => __('New Movie BT','mibt'),
				'view_item' => __('Preview Movie BT','mibt'),
				'search_items' => __('Search Movie BT','mibt'),
				'not_found' =>  __('You have not yet released movie BT','mibt'),
				'not_found_in_trash' => __('There are no Movie BT Trash','mibt'), 
				'parent_item_colon' => ''
				),
			'show_ui' => true,
			'menu_position'=>5,
			'has_archive' => true,
			'menu_icon' => get_bloginfo('template_url') .'/img/fo_tm.png',
			'supports' => array(
				'title',
				'author', 
				'thumbnail',
				'editor', 
				'comments',
				'custom-fields',
				) ,
		   )
		);

}

add_action('init', 'post_type_movie_bt');

function create_movie_bt_taxonomy() 
{	
	
	$labels = array(
		'name' => _x( 'Region', 'taxonomy general name' ,'mibt'),
		'singular_name' => _x( 'Movie BT', 'taxonomy singular name' ,'mibt'),
		'search_items' =>  __( 'Search Area','mibt','mibt'),
		'all_items' => __( 'All regions','mibt'),
		'parent_item' => __( 'Parent region' ,'mibt'),
		'parent_item_colon' => __( 'Parent region:','mibt'),
		'edit_item' => __( 'Edit Area','mibt'), 
		'update_item' => __( 'Update','mibt' ),
		'add_new_item' => __( 'add region' ,'mibt'),
		'new_item_name' => __( 'new region','mibt'),
		); 
$year = array(
        'name' => _x( '年份', 'taxonomy general name' ,'mibt'),
        'singular_name' => _x( '年份', 'taxonomy singular name' ,'mibt'),
        'search_items' =>  __( '搜索年份','mibt','mibt'),
        'popular_items' => '热门' ,
        'all_items' => __( '所有年份','mibt'),
        'parent_item' =>null,
        'parent_item_colon' =>null,
        'edit_item' => __( '编辑年份','mibt'), 
        'update_item' => __( '更新','mibt' ),
        'add_new_item' => __( '添加年份' ,'mibt'),
        'new_item_name' => __( '新建年份','mibt'),
        ); 
$view = array(
        'name' => _x( 'BT标签', 'taxonomy general name' ,'mibt'),
        'singular_name' => _x( '标签', 'taxonomy singular name' ,'mibt'),
        'search_items' =>  __( '搜索','mibt','mibt'),
        'popular_items' => '热门' ,
        'all_items' => __( '所有BT标签','mibt'),
        'parent_item' =>null,
        'parent_item_colon' =>null,
        'edit_item' => __( '编辑','mibt'), 
        'update_item' => __( '更新','mibt' ),
        'add_new_item' => __( '添加BT标签' ,'mibt'),
        'new_item_name' => __( '新建标签','mibt'),
        ); 
  $series = array(
        'name' => _x( 'sort', 'taxonomy general name' ,'mibt'),
        'singular_name' => _x( 'Movie BT', 'taxonomy singular name' ,'mibt'),
        'search_items' =>  __( 'Search sort','mibt','mibt'),
        'all_items' => __( 'All sort','mibt'),
        'parent_item' => __( 'Parent sort' ,'mibt'),
        'parent_item_colon' => __( 'Parent sort:','mibt'),
        'edit_item' => __( 'Edit sort','mibt'), 
        'update_item' => __( 'Update','mibt' ),
        'add_new_item' => __( 'add sort' ,'mibt'),
        'new_item_name' => __( 'new sort','mibt'),
        ); 

register_taxonomy(
    'movie_bt_cat',
    array('movie_bt'), 
    array(
        'hierarchical' => true,
        'labels' => $labels,
        'show_ui' => true,
        'query_var' => true,
        'rewrite' => true
        //'rewrite' => array( 'slug' => 'musics_cat' ),
  ));
register_taxonomy(
    'movie_bt_year',
    array('movie_bt'), 
    array(
        'hierarchical' => true,
        'labels' => $year,
        'show_ui' => true,
        'query_var' => true,
        'rewrite' => true,
        'rewrite' => array( 'slug' => 'year' ),
  ));
// Tags
register_taxonomy(
		'movie_bt_tags',
		'movie_bt',
		array(
			'hierarchical' => false,
			'label' => __('Movie type','mibt'),
			'query_var' => true,
			'rewrite' => true
		)
	);
// BT Tags
register_taxonomy(
    'movie_bt_view_cat',
    array('movie_bt'), 
    array(
        'hierarchical' => true,
        'labels' => $view,
        'show_ui' => true,
        'query_var' => true,
        'rewrite' => true
        //'rewrite' => array( 'slug' => 'musics_cat' ),
  ));
register_taxonomy(
    'movie_bt_series',
    array('movie_bt'), 
    array(
        'hierarchical' => true,
        'labels' => $series,
        'show_ui' => true,
        'query_var' => true,
        'rewrite' => true
        //'rewrite' => array( 'slug' => 'musics_cat' ),
  ));
	
}
add_action( 'init', 'create_movie_bt_taxonomy', 0 );


//添加附加列和下拉选择功能
add_filter( 'manage_edit-movie_bt_columns', 'my_columns' );
function my_columns( $columns ) {
    $columns['movie_bt_tags'] = __('Movie type','mibt');
    $columns['movie_bt_cat'] = __('Area','mibt');
    $columns['years_mi_value'] = __('Years','mibt');
    $columns['player_api_value'] = __('解析播放器','mibt');
    unset( $columns['author'] );
    unset( $columns['comments'] );
    return $columns;
}
add_action( 'manage_posts_custom_column', 'populate_columns' );
function populate_columns( $column ) {
    if ( 'movie_bt_tags' == $column ) {
    	$movie_bt_tags =the_terms( $post->ID, 'movie_bt_tags' , '');
        //$movie_bt_tags = esc_html( get_post_meta( get_the_ID(), 'movie_director', true ) );
        echo $movie_bt_tags;
    }
    elseif ( 'years_mi_value' == $column ) {
        $movie_years = get_post_meta( get_the_ID(), 'years_mi_value', true );
        echo $movie_years;
    }elseif( 'movie_bt_cat' == $column ){
    	$movie_bt_cat =the_terms( $post->ID, 'movie_bt_cat' , '');
    	echo $movie_bt_cat;
    }elseif( 'player_api_value' == $column ){
        $theid=get_the_ID();
       $play_videojj =get_post_meta($theid, 'videojj_api_value', true );
       $ks_api_value=get_post_meta($theid, 'ks_api_value', true );

            $othe_play_api=get_post_meta($theid, 'othe_play_api_value', true);
            $othe_play_api_2=get_post_meta($theid, 'othe_play_api_2_value', true);
            $othe_play_api_3=get_post_meta($theid, 'othe_play_api_3_value', true);
            $othe_play_api_4=get_post_meta($theid, 'othe_play_api_4_value', true);
        if($play_videojj=='1'){
            $play_name='videojj';
        }elseif ($ks_api_value=='1') {
            $play_name='47ks';
        }elseif ($othe_play_api=='1') {
            $play_name='other';
        }elseif ($othe_play_api_2=='1') {
            $play_name='other_2';
        }elseif ($othe_play_api_3=='1') {
            $play_name='other_3';
        }elseif ($othe_play_api_4=='1') {
            $play_name='other_4';
        }else{
            $play_name='<span style="color:#ccc;">No Player</span>';
        }
        echo   $play_name;
    }
}
add_filter( 'manage_edit-movie_bt_sortable_columns', 'sort_me_mi' );
function sort_me_mi( $columns ) {//注册为可排序的列
    $columns['years_mi_value'] = 'years_mi_value';
    $columns['player_api_value'] = 'player_api_value';
    return $columns;
}

add_filter( 'request', 'column_orderby_mi' );
function column_orderby_mi ( $vars ) {
    if ( !is_admin() )return $vars;
    if ( isset( $vars['orderby'] ) && 'years_mi_value' == $vars['orderby'] ) {
        $vars = array_merge( $vars, array( 'meta_key' => 'years_mi_value', 'orderby' => 'meta_value' ) );
    };
    if ( isset( $vars['orderby'] ) && 'player_api_value' == $vars['orderby'] ) {
            $othe_play_api=get_option('mytheme_othe_play_api');
            $othe_play_api_2=get_option('mytheme_othe_play_api_2');
            $othe_play_api_3=get_option('mytheme_othe_play_api_3');
            $othe_play_api_4=get_option('mytheme_othe_play_api_4');
            $ordby=array( array( 'key'  => 'videojj_api_value', 'orderby' => 'meta_value_num'),array( 'key'  => 'ks_api_value', 'orderby' => 'meta_value_num' ));
                if (!empty($othe_play_api)) {
                    $ordby=array_merge($ordby,array( 'key'  => 'othe_play_api_value', 'orderby' => 'meta_value_num' ));
                }
                if (!empty($othe_play_api_2)) {
                  $ordby=array_merge($ordby,array( 'key'  => 'othe_play_api_2_value', 'orderby' => 'meta_value_num' ));
                }
                if (!empty($othe_play_api_3)) {
                   $ordby=array_merge($ordby,array( 'key'  => 'othe_play_api_3_value', 'orderby' => 'meta_value_num' ));
                }
                if (!empty($othe_play_api_4)) {
                   $ordby=array_merge($ordby,array( 'key'     => 'othe_play_api_4_value', 'orderby' => 'meta_value_num' ));
                }
         $vars = array_merge( $vars,  array( 'meta_query' => $ordby) );
         // $vars = array_merge( $vars,  array( 'meta_query' => array(
         //    array( 'key'  => 'videojj_api_value', 'orderby' => 'meta_value'),
         //      array( 'key'  => 'ks_api_value', 'orderby' => 'meta_value' ),
         //      array( 'key'  => 'othe_play_api_value', 'orderby' => 'meta_value' ),
         //    ) ) );
          };
    return $vars;
}


//添加下拉筛选
add_action( 'restrict_manage_posts', 'mi_filter_list_select' );
function mi_filter_list_select() {
    $screen = get_current_screen();
    global $wp_query;
    if ( $screen->post_type == 'movie_bt' ) {
        wp_dropdown_categories( array(
            'show_option_all' =>__( 'Show all movie types' ,'mibt'),
            'taxonomy' => 'movie_bt_tags',
            'name' => 'movie_bt_tags',
            'orderby' => 'name',
            'selected' => ( isset( $wp_query->query['movie_bt_tags'] ) ? $wp_query->query['movie_bt_tags'] : '' ),
            'hierarchical' => false,
            'depth' => 3,
            'show_count' => false,
            'hide_empty' => true,
        ) );
           wp_dropdown_categories( array(
            'show_option_all' =>__( 'Show all regions' ,'mibt'),
            'taxonomy' => 'movie_bt_cat',
            'name' => 'movie_bt_cat',
            'orderby' => 'name',
            'selected' => ( isset( $wp_query->query['movie_bt_cat'] ) ? $wp_query->query['movie_bt_cat'] : '' ),
            'hierarchical' => false,
            'depth' => 3,
            'show_count' => false,
            'hide_empty' => true,
        ) );

    }
}

add_action( 'parse_query','perform_filtering_mi' );
function perform_filtering_mi( $query ) {
    $qv = &$query->query_vars;
    $movie_bt_tags=$qv['movie_bt_tags'];
    //var_dump($movie_bt_tags);
    if (  $movie_bt_tags&& is_numeric( $movie_bt_tags) ) {
        $term = get_term_by( 'id', $movie_bt_tags, 'movie_bt_tags' );
        $qv['movie_bt_tags'] = $term->slug;
    }
}

add_action( 'parse_query','perform_filtering_mi_cat' );
function perform_filtering_mi_cat( $query ) {
    $qv = &$query->query_vars;
    $movie_bt_cat=$qv['movie_bt_cat'];
   if ( $movie_bt_cat && is_numeric($movie_bt_cat) ) {
        $term = get_term_by( 'id', $movie_bt_cat, 'movie_bt_cat' );
        $qv['movie_bt_cat'] = $term->slug;
    }
}

?>