<?php 
/**
 * Disable the emoji's
 */
 function disable_emojis() {
 remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
 remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
 remove_action( 'wp_print_styles', 'print_emoji_styles' );
 remove_action( 'admin_print_styles', 'print_emoji_styles' );
 remove_filter( 'the_content_feed', 'wp_staticize_emoji' );
 remove_filter( 'comment_text_rss', 'wp_staticize_emoji' );
 remove_filter( 'wp_mail', 'wp_staticize_emoji_for_email' );
 add_filter( 'tiny_mce_plugins', 'disable_emojis_tinymce' );
 }
 add_action( 'init', 'disable_emojis' );
/**
 * Filter function used to remove the tinymce emoji plugin.
 */
 function disable_emojis_tinymce( $plugins ) {
 if ( is_array( $plugins ) ) {
 return array_diff( $plugins, array( 'wpemoji' ) );
 } else {
 return array();
 }
 }

//修改默认表情路径
function filter_smilies_src($img_src, $img, $siteurl) {
        return get_bloginfo('stylesheet_directory') . '/smilies/' . $img;
    }
add_filter('smilies_src', 'filter_smilies_src', 1, 10);

//恢复至原表情模式
function smilies_initx() {
 global $wpsmiliestrans, $wp_smiliessearch;
 if ( !get_option( 'use_smilies' ) )
 return;
 
 if ( !isset( $wpsmiliestrans ) ) {
     $wpsmiliestrans = array(
     ':mrgreen:' => 'icon_mrgreen.gif',
     ':neutral:' => 'icon_neutral.gif',
     ':twisted:' => 'icon_twisted.gif',
     ':arrow:' => 'icon_arrow.gif',
     ':shock:' => 'icon_eek.gif',
     ':smile:' => 'icon_smile.gif',
     ':???:' => 'icon_confused.gif',
     ':cool:' => 'icon_cool.gif',
     ':evil:' => 'icon_evil.gif',
     ':grin:' => 'icon_biggrin.gif',
     ':idea:' => 'icon_idea.gif',
     ':oops:' => 'icon_redface.gif',
     ':razz:' => 'icon_razz.gif',
     ':roll:' => 'icon_rolleyes.gif',
     ':wink:' => 'icon_wink.gif',
     ':cry:' => 'icon_cry.gif',
     ':eek:' => 'icon_surprised.gif',
     ':lol:' => 'icon_lol.gif',
     ':mad:' => 'icon_mad.gif',
     ':sad:' => 'icon_sad.gif',
     '8-)' => 'icon_cool.gif',
     '8-O' => 'icon_eek.gif',
     ':-(' => 'icon_sad.gif',
     ':-)' => 'icon_smile.gif',
     ':-?' => 'icon_confused.gif',
     ':-D' => 'icon_biggrin.gif',
     ':-P' => 'icon_razz.gif',
     ':-o' => 'icon_surprised.gif',
     ':-x' => 'icon_mad.gif',
     ':-|' => 'icon_neutral.gif',
     ';-)' => 'icon_wink.gif',
     '8O' => 'icon_eek.gif',
     ':(' => 'icon_sad.gif',
     ':)' => 'icon_smile.gif',
     ':?' => 'icon_confused.gif',
     ':D' => 'icon_biggrin.gif',
     ':P' => 'icon_razz.gif',
     ':o' => 'icon_surprised.gif',
     ':x' => 'icon_mad.gif',
     ':|' => 'icon_neutral.gif',
     ';)' => 'icon_wink.gif',
     ':!:' => 'icon_exclaim.gif',
     ':?:' => 'icon_question.gif',
     );
 }
 if (count($wpsmiliestrans) == 0) {
  return;
 }
 krsort($wpsmiliestrans);
   $spaces = wp_spaces_regexp();
   $wp_smiliessearch = '/(?<=' . $spaces . '|^)';
   $subchar = '';
   foreach ( (array) $wpsmiliestrans as $smiley => $img ) {
   $firstchar = substr($smiley, 0, 1);
   $rest = substr($smiley, 1);
   if ($firstchar != $subchar) {
   if ($subchar != '') {
   $wp_smiliessearch .= ')(?=' . $spaces . '|$)'; // End previous "subpattern"
   $wp_smiliessearch .= '|(?<=' . $spaces . '|^)'; // Begin another "subpattern"
   }
   $subchar = $firstchar;
   $wp_smiliessearch .= preg_quote($firstchar, '/') . '(?:';
   } else {
   $wp_smiliessearch .= '|';
   }
   $wp_smiliessearch .= preg_quote($rest, '/');
   }
   $wp_smiliessearch .= ')(?=' . $spaces . '|$)/m';
}
remove_action('init', 'smilies_init', 5);
add_action( 'init' , 'smilies_initx' , 5 );



/* Comments Time Since by */
function time_since($older_date,$comment_date = false) {
  $chunks = array(
    array(86400 , __('days ago','mibt')),
    array(3600 , __('hour ago','mibt')),
    array(60 , __('minutes ago','mibt')),
    array(1 , __('seconds ago','mibt')),
  );
  $newer_date = time();
  $since = abs($newer_date - $older_date);
  if($since < 2592000){
    for ($i = 0, $j = count($chunks); $i < $j; $i++){
      $seconds = $chunks[$i][0];
      $name = $chunks[$i][1];
      if (($count = floor($since / $seconds)) != 0) break;
    }
    $output = $count.$name;
  }else{
    $output = !$comment_date ? (date('Y-m-j G:i', $older_date)) : (date('Y-m-j', $older_date));
  }
  return $output;
}

//移除网址表单
function url_filtered($fields)
{
if(isset($fields['url']))
unset($fields['url']);
return $fields;
}
add_filter('comment_form_default_fields', 'url_filtered');
 
//移除评论人名字的链接
function disable_comment_author_links( $author_link ){
  return strip_tags( $author_link );
}
add_filter( 'get_comment_author_link', 'disable_comment_author_links' );


/* Custom Comment Output*/
function mytheme_comment_miued($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment;
   global $commentcount;
   if(!$commentcount) {
     $page = ( !empty($in_comment_loop) ) ? get_query_var('cpage')-1 : get_page_of_comment( $comment->comment_ID, $args )-1;
     $cpp=get_option('comments_per_page');
     $commentcount = $cpp * $page;
  }
  // the_author_posts_link();//作者文章链接带名字
  // var_dump( get_the_author_meta('user_email',$comment->user_id));
  // var_dump(get_author_posts_url($comment->user_id));//作者文章链接
  //var_dump($comment->user_id); //用户ID
  $author_url=get_author_posts_url($comment->user_id);
?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
  <div id="comment-<?php comment_ID(); ?>" class="comment-body">
  <div class="comment-author"><a href="<?php echo $author_url;  ?>" target="_blank"><?php echo get_avatar( $comment, $size = '32'); ?></a></div>
      <div class="comment-head">
        <span class="name"><?php printf(__('%s'), get_comment_author_link()) ?> &nbsp;&nbsp;&nbsp;<em><?php echo time_since(abs(strtotime($comment->comment_date_gmt . "GMT")), true);?>&nbsp;</em></span>
        <span class="num"> <?php if(!$parent_id = $comment->comment_parent) {printf('#%1$s', ++$commentcount);} ?></span>
        <p> <?php comment_text() ?> </p>
        <div class="post-reply"><?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'], 'reply_text' => __('Reply','mibt')))) ?></div>
        <div class="date"></div>
      </div>

    </div>
  </li>
<?php 
}