<?php
if ( ! function_exists( 'mibt_setup' ) ) :
function mibt_setup() {

	/*
	 * Make theme available for translation.
	 * Translations can be filed in the /languages/ directory.
	 * If you're building a theme based on twentyfifteen, use a find and replace
	 * to change 'twentyfifteen' to the name of your theme in all the template files
	 */
	load_theme_textdomain( 'mibt', get_template_directory() . '/languages' );

	// Add default posts and comments RSS feed links to head.
	//add_theme_support( 'automatic-feed-links' );

	/*
	 * Let WordPress manage the document title.
	 * By adding theme support, we declare that this theme does not use a
	 * hard-coded <title> tag in the document head, and expect WordPress to
	 * provide it for us.
	 */

	add_theme_support( 'title-tag' );

	/*
	 * Enable support for Post Thumbnails on posts and pages.
	 *
	 * See: https://codex.wordpress.org/Function_Reference/add_theme_support#Post_Thumbnails
	 */
	   add_theme_support( 'post-thumbnails' );
	//set_post_thumbnail_size( 825, 510, true );
     add_image_size('movie_bigimg',360,528,true);  //影片特色大图尺寸
      add_image_size('movie_zhongimg',270,380,true);//影片特色中等列表尺寸
     //add_image_size('movie_miniimg',150,211,true);//影片特色列表最小尺寸
	// This theme uses wp_nav_menu() in two locations.
	register_nav_menus( array(
		  'social'  => __( 'Social Links Menu', 'mibt' ),
		  'footer_mi'  => __( 'bottom menu', 'mibt' ),
      'topmini_nav'=>__('Top Menu', 'mibt'),
      'submenu_mi'=>__('Submenu', 'mibt')
	) );

	/*
	 * Switch default core markup for search form, comment form, and comments
	 * to output valid HTML5.
	 */
	add_theme_support( 'html5', array(
		'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'
	) );

	/*
	 * Enable support for Post Formats.
	 *
	 * See: https://codex.wordpress.org/Post_Formats
	 */
	add_theme_support( 'post-formats', array(
		'aside', 'image', 'video', 'quote', 'link', 'gallery', 'status', 'audio', 'chat'
	) );

add_theme_support( 'custom-background');
	
}
endif; // twentyfifteen_setup
add_action( 'after_setup_theme', 'mibt_setup' );

//增加默认中大图裁剪功能
add_action( 'admin_init', 'crop_settings_api_init', 1 );
function crop_settings_api_init() {
  // Add the section to media settings
  add_settings_section(
    'crop_settings_section',
    __('Crop images','mibt'),
    'crop_settings_callback_function',
    'media'
  );
  // Add the fields to the new section
  add_settings_field(
    'medium_crop',
    __('Medium size crop','mibt'),
    'crop_medium_callback_function',
    'media',
    'crop_settings_section'
  );
  add_settings_field(
    'large_crop',
    'Large size crop',
    'crop_large_callback_function',
    'media',
    'crop_settings_section'
  );
  register_setting( 'media', 'medium_crop' );
  register_setting( 'media', 'large_crop' );
} // crop_settings_api_init()


// Settings section callback function
function crop_settings_callback_function() {
    echo '<p>'.__('Choose whether to crop the size and large size images','mibt').'</p>';
}
// Callback function for our medium crop setting
function crop_medium_callback_function() {
  echo '<input name="medium_crop" type="checkbox" id="medium_crop" value="1"';
    $mediumcrop = get_option( "medium_crop");
    if ( $mediumcrop == 1 ) {
        echo ' checked';
  }
  echo '/>';
  echo '<label for="medium_crop">'.__('Crop medium to exact dimensions','mibt').'</label>';
}
// Callback function for our large crop setting
function crop_large_callback_function() {
  echo '<input name="large_crop" type="checkbox" id="large_crop" value="1"';
    $largecrop = get_option( "large_crop");
    if ( $largecrop == 1 ) {
        echo ' checked';
  }
  echo '/>';
  echo '<label for="large_crop">'.__('Crop large to exact dimensions','mibt').'</label>';
}


function plugin_pll_active_mi($plugin_name){//判断翻译插件是否启用
  include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    switch ($plugin_name)
      {
      case 'polylang':
        if(is_plugin_active( 'polylang/polylang.php' )) {return true; }else{ return false;  }
        break;  
      case 'download-monitor':
      if(is_plugin_active( 'download-monitor/download-monitor.php' )) {return true; }else{ return false;  }
        break;
       case 'beautiful-taxonomy-filters':
      if(is_plugin_active( 'beautiful-taxonomy-filters/beautiful-taxonomy-filters.php' )) {return true; }else{ return false;  }
        break;
      default:
       return false;
      }
}

//修改默认相册HTML结构及样式
add_filter('post_gallery' , 'andywar_gallery_shortcode' , 10 , 2);
function andywar_gallery_shortcode($empty , $attr) {
static $instance = 0;
$instance++;
// We're trusting author input, so let's at least make sure it looks like a valid orderby statement
if ( isset( $attr['orderby'] ) ) {
$attr['orderby'] = sanitize_sql_orderby( $attr['orderby'] );
if ( !$attr['orderby'] )
unset( $attr['orderby'] );
}
extract(shortcode_atts(
      array(
        'order'      => 'ASC',
        'orderby'    => 'menu_order ID',
        'id'         => $post ? $post->ID : 0,
        'itemtag'    => 'dl',
        'icontag'    => 'dt',
        'captiontag' => 'dd',
        'columns'    => 2,
        'size'       => 'medium',
        'include'    => '',
        'exclude'    => '',
        'link'       => 'file'
    ), 
      $attr, 
      'gallery')
);

$id = intval($id);
if ( 'RAND' == $order )
$orderby = 'none';
if ( !empty($include) ) {
$_attachments = get_posts( array('include' => $include, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
$attachments = array();
foreach ( $_attachments as $key => $val ) {
$attachments[$val->ID] = $_attachments[$key];
}
} elseif ( !empty($exclude) ) {
$attachments = get_children( array('post_parent' => $id, 'exclude' => $exclude, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
} else {
$attachments = get_children( array('post_parent' => $id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
}
if ( empty($attachments) )return '';

$columns = intval($columns);
$itemwidth = $columns > 0 ? floor(100/$columns) : 100;
$float = is_rtl() ? 'right' : 'left';
$selector = "gallery-{$instance}";

$size_class = sanitize_html_class( $size );
$gallery_div = "<div id='$selector' class='gallery gallery_mi galleryid-{$id} gallery-columns-{$columns} gallery-size-{$size_class}'>";
$output .= $gallery_div;
$i = 0;
foreach ( $attachments as $id => $attachment ) {
if ( ! empty( $link ) && 'file' === $link )
$image_output = wp_get_attachment_link( $id, $size, false, false );
elseif ( ! empty( $link ) && 'none' === $link )
$image_output = wp_get_attachment_image( $id, $size, false );
else
$image_output = wp_get_attachment_link( $id, $size, true, false );
$image_meta  = wp_get_attachment_metadata( $id );

$orientation = '';
if ( isset( $image_meta['height'], $image_meta['width'] ) )
$orientation = ( $image_meta['height'] > $image_meta['width'] ) ? 'portrait' : 'landscape';
$output .= "$image_output";
}
$output .= "</div>";
return $output;
}

//修改标题
function custom_theme_titles_mi( $parts ) {
  global $post;
  if(get_option('mytheme_titlemi')){
      $titlemi=get_option('mytheme_titlemi');
  }else{
      if(plugin_pll_active_mi('polylang')){
        $yuyan=pll_current_language();
     if($yuyan=='en'){
      $titlemi='1080P|720P BluRay Torrent-HD BT Free Downloads-';
     }else{
      $titlemi='1080P|720P|蓝光原盘高清BT种子下载-';
     }
   }else{
    $titlemi='1080P|720P|蓝光原盘高清BT种子下载-';
   }
  };
  if( is_single() ) {
    $desc = get_bloginfo( 'description', 'display' );
    $parts['site'] =$titlemi.$desc;
  }
  if(is_search()){ 
    $parts['title']=get_search_query();
  }
   if(is_page()){ 
    if(isset($_GET['movie_id'])){
      $parts['title']=get_the_title($_GET['movie_id']);
    }else{
       $becd=base64_decode(basename($_SERVER['REQUEST_URI'],'.html'));
     $mvarrt=geturl($becd);
       if(!empty($mvarrt)){
          $movie_id=$mvarrt['mv'];
         $parts['title']=get_the_title($movie_id);
         }
    }
    // $parts['title']=get_the_title($_GET['movie_id']);
  }
  return $parts;
}
add_filter( 'document_title_parts', 'custom_theme_titles_mi', PHP_INT_MAX );

//解码URL b64
function geturl($str){
          $url_array = explode('-',$str);
          if (is_array($url_array))
          {
              foreach ($url_array as $var)
              {
                  $var_array = explode("_",$var);
                  $vars[$var_array[0]]=$var_array[1];
              }
          }
          return $vars;
     }

//remove_action( 'wp_head', 'wp_generator' );
show_admin_bar(false);
remove_action( 'wp_head', 'wp_shortlink_wp_head', 10, 0 );//去除文章shortlink链接
remove_action( 'wp_head', 'rsd_link' );  
remove_action( 'wp_head', 'wlwmanifest_link' ); 
remove_action( 'wp_head', 'feed_links', 2 );//文章和评论feed   
remove_action( 'wp_head', 'feed_links_extra', 3 ); //分类等feed 

add_filter('get_header', 'fanly_ssl_mi');
function fanly_ssl_mi(){
  if( is_ssl() ){
    function fanly_ssl_main_mi ($content){
      $siteurl = get_option('siteurl');
      $upload_dir = wp_upload_dir();
      $content = str_replace( 'http:'.strstr($siteurl, '//'), strstr($siteurl, '//'), $content);
      $content = str_replace( 'http:'.strstr($upload_dir['baseurl'], '//'), strstr($upload_dir['baseurl'], '//'), $content);
      return $content;
    }
    ob_start("fanly_ssl_main_mi");
  }
}

//防七牛镜像
if( strpos($_SERVER['HTTP_USER_AGENT'],'qiniu-imgstg-spider') !== false) {header('HTTP/1.1 503 Service Temporarily Unavailable');echo '防七牛镜像';exit;}
/* Remove wordpress version meta
**
** If you don't wannt to do, you can delete it.
**
 */
function remove_wordpress_version() { return ''; } 
add_filter('the_generator', 'remove_wordpress_version');

/* Remove Wordpress Admin bar */
if (!function_exists('df_disable_admin_bar')) {
    function df_disable_admin_bar() {
        // for the admin page
        remove_action('admin_footer', 'wp_admin_bar_render', 1000);
        // for the front-end
        remove_action('wp_footer', 'wp_admin_bar_render', 1000);
        // css override for the admin page
        function remove_admin_bar_style_backend() {
            echo '<style>body.admin-bar #wpcontent, body.admin-bar #adminmenu { padding-top: 0px !important; }</style>';
        }
        add_filter('admin_head','remove_admin_bar_style_backend');
        // css override for the frontend
        function remove_admin_bar_style_frontend() {
            echo '<style type="text/css" media="screen">
            html { margin-top: 0px !important; }
            * html body { margin-top: 0px !important; }
            </style>';
        }
        add_filter('wp_head','remove_admin_bar_style_frontend', 99);
      }
}
add_action('init','df_disable_admin_bar');

  function mibt_widgets_init() {
    register_sidebar( array(
        'name'          => __( 'Footer Concern button', 'mibt' ),
        'id'            => 'footer_gz',
        'description'   => __( 'You can add Sina microblogging, QQ group and other concerned about the button. (Using text)', 'mibt' ),
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
    ) );
  register_sidebar( array(
        'name'          => __( 'Footer version declaration', 'mibt' ),
        'id'            => 'footer_sm',
        'description'   => __( 'Add version declarations, theme settings can also set the statement. (Using text)', 'mibt' ),
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
    ) );

}
add_action( 'widgets_init', 'mibt_widgets_init' );

/* Add "Next Page" Button in Wordpress Editor */
add_filter('mce_buttons','add_next_page_button');
function add_next_page_button($mce_buttons) {
	$pos = array_search('wp_more',$mce_buttons,true);
	if ($pos !== false) {
		$tmp_buttons = array_slice($mce_buttons, 0, $pos+1);
		$tmp_buttons[] = 'wp_page';
		$mce_buttons = array_merge($tmp_buttons, array_slice($mce_buttons, $pos+1));
	}
	return $mce_buttons;
}

/**
 * Enqueue scripts and styles.
 *
 * @since Twenty Fifteen 1.0
 */
function mibt_scripts() {
   wp_register_style( 'style', get_stylesheet_uri(),false, wp_get_theme()->get('Version'), false);
    wp_register_script( 'lazyload', get_template_directory_uri() . '/js/jquery.lazyload.min.js', false, false, false );
   wp_register_script( 'mibt_mi', get_template_directory_uri() . '/js/mibt_mi.js', false, '1.23', false );
   wp_register_script( 'flexslider-min', get_template_directory_uri() . '/js/jquery.flexslider-min.js', false, false, false );
   wp_register_script( 'baguettebox', get_template_directory_uri() . '/js/baguettebox.min.js', false, false, false );
   wp_register_style( 'baguettebox', get_template_directory_uri() . '/css/baguettebox.min.css', false, false, false);
   wp_register_style( 'flaticon', get_template_directory_uri() . '/fonts/flaticon.css' );
   wp_register_style( 'style-white', get_template_directory_uri() . '/css/style-white.css', false, '1.26', false);
   wp_register_script( 'comments-js', get_template_directory_uri() . '/comments-ajax.js', false, false , true );						
    //comments JS
   
   //后台需要加载的js及样式
    wp_register_script( 'media_mi', get_template_directory_uri() . '/admin/js/media.js', false, '1.23', true );
    wp_register_script( 'doubanajax', get_template_directory_uri() . '/admin/js/doubanajax.js', false, '1.23', true );
    wp_register_style( 'admin', get_template_directory_uri() . '/admin/css/admin.css' );
   
 if ( !is_admin() ) {
     wp_enqueue_style('style'); //Enqueue Styles
     wp_enqueue_style('flaticon');
     if(get_option('mytheme_white_chek')=='1'){
     	wp_enqueue_style('style-white');
     }
     wp_enqueue_script('jquery');
     wp_enqueue_script('lazyload');
     wp_enqueue_script('flexslider-min');
     wp_enqueue_script('mibt_mi');
	 wp_enqueue_style('baguettebox');
	 wp_enqueue_script('baguettebox');
	 wp_enqueue_script('comments-js');
 };

   

 if (is_admin()) { /** Load Scripts and Style on Website Only */ 
     wp_enqueue_script( 'media_mi' );
     wp_enqueue_script( 'doubanajax' );
     wp_enqueue_style('admin'); 
    };   

}
add_action( 'init', 'mibt_scripts' );

//阻止站内文章Pingback 
function deel_noself_ping( &$links ) {
  $home = get_option( 'home' );
  foreach ( $links as $l => $link )
  if ( 0 === strpos( $link, $home ) )
  unset($links[$l]);
}

/**
 * 移除 WordPress 加载的JS和CSS链接中的版本号
 * https://www.wpdaxue.com/remove-js-css-version.html
 */
function mi_remove_cssjs_ver( $src ) {
  if( strpos( $src, 'ver='. get_bloginfo( 'version' ) ) )
    $src = remove_query_arg( 'ver', $src );
  return $src;
}
add_filter( 'style_loader_src', 'mi_remove_cssjs_ver', 999 );
add_filter( 'script_loader_src', 'mi_remove_cssjs_ver', 999 );

//禁用谷歌字体
function mi_remove_open_sans_from_wp_core() {
    wp_deregister_style( 'open-sans' );
    wp_register_style( 'open-sans', false );
    wp_enqueue_style('open-sans','');
    wp_deregister_style( 'jquery-ui-style' );//禁用 Download Monitor 后台 插件样式
    wp_register_style( 'jquery-ui-style', false );//禁用 Download Monitor 后台 插件样式
    wp_enqueue_style('jquery-ui-style','');//禁用 Download Monitor 后台 插件样式

}
add_action( 'init', 'mi_remove_open_sans_from_wp_core' );

function load_portfolio_slideshow() {
    //取消多重筛选插件（beautiful-taxonomy-filters）加载样式
    // 如果 pselect2 之前已注册...
    if( wp_script_is( 'select2', 'registered' ) ) {
        // ...取消注册...
        wp_deregister_style( 'select2' );
        wp_deregister_style( 'beautiful-taxonomy-filters-basic' );
        // 后面根据自己需要自定义......
    }
}
add_action( 'wp_enqueue_scripts', 'load_portfolio_slideshow' );

//禁用插件调用样式
add_action( 'wp_print_styles', 'my_deregister_styles', 100 );  
function my_deregister_styles() {  
wp_deregister_style( 'dlm-frontend' );  //禁用 Download Monitor 插件样式
wp_deregister_style( 'se-link-styles' );  // 禁用 search-everything 插件样式
}



//定义.torrent上传文件类型
add_filter('upload_mimes', 'wpdit_filter_mime_types');
function wpdit_filter_mime_types($mimes)
{
    $mimes['torrent'] = 'application/torrent';
    return $mimes;
}

//媒体库过滤不同类型的文件
add_filter( 'post_mime_types', 'modify_post_mime_types' );
function modify_post_mime_types( $post_mime_types ) { 	
    	// 添加查询 application 大类下的 torrent 文件
    	$post_mime_types['application/torrent'] = array( __( 'BT File','mibt'), __( 'BT File Manager','mibt' ), _n_noop( 'ZIP <span class="count">(%s)</span>', 'BT文件 <span class="count">(%s)</span>' ) );
    	return $post_mime_types;

    }


function ludou_create_media_category() {
  $args = array(
    'label' => __('Media Category','mibt'),
    'hierarchical' => true,
    'show_admin_column' => true,
    'show_ui'      => true,
    'query_var'    => true,
    'rewrite'      => true,
  );

  register_taxonomy( 'attachment_category', 'attachment', $args );
}

add_action( 'init', 'ludou_create_media_category' );
//允许上传文件类型
function custom_upload_mimes ( $mimes) {
	//unset ($mimes);//禁止上传任何文件
	// if( current_user_can( 'publish_posts' ) && !current_user_can( 'publish_pages' ) ) {
	// 	//允许作者（Author）上传的类型
	// 	$mimes['jpg|jpeg|gif|png']='image/image';//允许用户上传jpg,gif,png文件
	// 	$mimes['zip']='application/zip'; //允许用户上传zip压缩包
	// 	$mimes['pdf']='application/pdf'; //允许用户上传pdf文件
	// }
	//$mimes['zip']='application/zip';
	//$mimes['torrent']='application/torrent';
	//unset ($mimes['torrent']);
	$mimes['torrent']='application/torrent';
	return $mimes;
}
add_filter('upload_mimes', 'custom_upload_mimes');

//上传目录修改
function custom_upload_torrent( $uploads ) {
  
   //$filey=wp_handle_upload($_FILES);
	
	$file=$_FILES;
	//var_dump($file);
	$mimes = array( 'application/torrent','application/octet-stream');
	if(in_array($file['async-upload']['type'], $mimes ) ){
     		$subdir = 'downloads';
	        $uploads['subdir'] = $subdir;
	        $uploads['path'] = $uploads['basedir'].DIRECTORY_SEPARATOR.$subdir;
	        $uploads['url'] = $uploads['baseurl'].'/'.$subdir;
     	
     }

     // $Lightbenc=new Lightbenc();
     // $btfile=$Lightbenc->bdecode_getinfo($uploads['url']);
     // $torrent_size=round(($btfile['info']['size'])/(1024*1024*1024),2).'GB';
    return $uploads;
}
add_filter( 'upload_dir', 'custom_upload_torrent' );



//上传文件重命名，MD5+时间

function rename_filename_mi($file){
$time=date("YmdHis");
$shuzi=substr(md5($time), 0, 12);
$file['name'] = $shuzi."".mt_rand(1,100).".".pathinfo($file['name'] , PATHINFO_EXTENSION);
return $file;
}
add_filter('wp_handle_upload_prefilter', 'rename_filename_mi');

//修改上传文件title
function fix_encoded_attachment_titles( $data ) {
if ( empty( $_FILES ) ) {
	return $data;
	}

	$file = current( $_FILES );

	$ext = pathinfo( $file['name'], PATHINFO_EXTENSION );
	$name = wp_basename( $file['name'], ".$ext" );
	$type=wp_check_filetype( basename( $file['name'] ), null );
	if($type['ext']=='torrent'){
	        $title=uplaods_title_rect($file['name']);
	        $data['post_title'] = sanitize_text_field( $title );
	}
	// var_dump($data);
	// die;

return $data;
}
add_filter( 'wp_insert_attachment_data', 'fix_encoded_attachment_titles' );

function uplaods_title_rect($urlhou){
            $upload_dir=wp_upload_dir();
              $file_url=$upload_dir["path"].'/'.$urlhou;
         
              $Lightbenc=new Lightbenc();
              $btfile=$Lightbenc->bdecode_getinfo($file_url);
              $torrent_size=round(($btfile['info']['size'])/(1024*1024*1024),2);
              $file_torrent_name=$btfile['info']['name'];
            //$torrent_arr=array('post_title' => , 'post_title' => );
              return $file_torrent_name;
       
};



//根据当前文章ID获取同类文章
function custom_taxonomies_terms_links(){
    //根据当前文章ID获取文章信息
    $post = get_post( $post->ID );
    //获取当前文章的文章类型
    $post_type = $post->post_type;
    //获取文章所在的自定义分类法
    $taxonomies = get_object_taxonomies( $post_type, 'objects' );
    $out = array();
    $zifu="";
    $i = 0;
    foreach ( $taxonomies as $taxonomy_slug => $taxonomy ){
        $term_list = wp_get_post_terms($post->ID, $taxonomy_slug, array("fields" => "all"));
       //var_dump($term_list[0]->name); //显示文章所处的分类中的第一个
        $name=$term_list[0]->name;
        $money = $term_list[0] ->taxonomy;
        $term_id=$term_list[0]->term_id;
        //return($term_list);
        $out[$i] = array('name' => $name, 'taxonomy' => $money,'term_id' => $term_id);
        //$out[$i] = $term_list;
        $i++;
    }
    return $out;
}

//输出缩略图地址
function post_thumbnail_src(){
    global $post;
	if( $values = get_post_custom_values("thumb") ) {	//输出自定义域图片地址
		$values = get_post_custom_values("thumb");
		$post_thumbnail_src = $values [0];
	} elseif( has_post_thumbnail() ){    //如果有特色缩略图，则输出缩略图地址
        $thumbnail_src = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),'full');
        $thumb=$thumbnail_src [0];
        $post_thumbnail_src =preg_replace( '/www.bttwo/','cdn.bttwo',$thumb).'-mini';//特色图更换地址  -mini 为七牛缩略图样式  pic.bttwo 为七牛绑定域名
        //$post_thumbnail_src =$thumb;
	      //$post_thumbnail_src = $thumbnail_src [0];
    } else {
		$post_thumbnail_src = '';
		ob_start();
		ob_end_clean();
		$output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
		$post_thumbnail_src = $matches [1] [0];   //获取该图片 src
		if(empty($post_thumbnail_src)){	//如果日志中没有图片，则显示随机图片
			return false;
			//$random = mt_rand(1, 10);
			//echo get_bloginfo('template_url');
			//echo '/img/pic/'.$random.'.jpg';
			//如果日志中没有图片，则显示默认图片
			//echo '/img/thumbnail.png';
		}
	};
	//return($kong);
	return $post_thumbnail_src;
}

//缩略图地址
function mibt_post_thumbnail_src($typeimg){
      global $post;
        if( has_post_thumbnail() ){ 
            $post_thumbnail_id = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),$typeimg);
            $post_thumbnail_src = $post_thumbnail_id [0];
            return '<img class="thumb lazy" src="'.get_template_directory_uri().'/img/blank.gif"  alt="'.$post->post_title.'" data-original="'.$post_thumbnail_src.'">';
        }else{
            return '<img class="thumb lazy" src="'.get_template_directory_uri() .'/img/blank.gif"  alt="'.$post->post_title.'" data-original="'.get_template_directory_uri() .'/img/r'.rand(1,3).'.jpg">';

        }
}
//缩略图大图地址
function mibt_big_post_thumbnail_src($typeimg){
      global $post;
        if( has_post_thumbnail() ){ 
            $post_thumbnail_id = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),$typeimg);
            $post_thumbnail_src = $post_thumbnail_id [0];
            return '<img class="thumb" src="'.$post_thumbnail_src.'"  alt="'.$post->post_title.'BT1080PBluRay" >';
        }
}

//输出特色缩略图地址
function mini_post_thumbnail_src(){
    global $post;
	if( has_post_thumbnail() ){    //如果有特色缩略图，则输出缩略图地址
        $thumbnail_src = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),'full');
        $thumb=$thumbnail_src [0];
        $post_thumbnail_src =preg_replace( '/www.bttwo/','cdn.bttwo',$thumb).'-xgmini';//特色图更换地址  -mini 为七牛缩略图样式  pic.bttwo 为七牛绑定域名
		//$post_thumbnail_src = $thumbnail_src [0];
    } 
	//return($kong);
	return $post_thumbnail_src;
}
function big_mini_post_thumbnail_src(){
    global $post;
	if( has_post_thumbnail() ){    //如果有特色缩略图，则输出缩略图地址
        $thumbnail_src = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),'full');
        //$thumbnail_src_cur = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),'movie_bigimg');
        if($thumbnail_src_cur [1]=='356'){
           //以后用来判断不是不使用自定义图片尺寸，不使用七牛的 ，356就是定义的图片宽度值
        }
        $thumb=$thumbnail_src [0];
        $post_thumbnail_src =preg_replace( '/www.bttwo/','cdn.bttwo',$thumb).'-big';//特色图更换地址  -big 为七牛缩略图样式400x600为七牛绑定域名
         //$post_thumbnail_src =$thumb;
	   //$post_thumbnail_src = $thumbnail_src [0];
    } 
	//return($kong);
	return $post_thumbnail_src;
}


//七牛加速
if ( !is_admin() ) {
	//add_action('wp_loaded','mi_ob_start');
	
	function mi_ob_start() {
		//ob_start('mi_qiniu_cdn_replace');
	}
	
	//修改自七牛镜像存储 WordPress 插件
function mi_qiniu_cdn_replace($html){
	$local_host = 'http://www.bttwo.com'; //博客域名
	$qiniu_host = 'http://cdn.bttwo.com'; //七牛域名
	$cdn_exts   = 'js|css|png|jpg|jpeg|gif|ico'; //扩展名（使用|分隔）
	$cdn_dirs   = 'wp-content|wp-includes'; //目录（使用|分隔）
	
	$cdn_dirs   = str_replace('-', '\-', $cdn_dirs);

	if ($cdn_dirs) {
		$regex	=  '/' . str_replace('/', '\/', $local_host) . '\/((' . $cdn_dirs . ')\/[^\s\?\\\'\"\;\>\<]{1,}.(' . $cdn_exts . '))([\"\\\'\s\?]{1})/';
		$html =  preg_replace($regex, $qiniu_host . '/$1$4', $html);
		//$html=preg_replace ( '#<img.*?src=[\'|\"](http:\/\/(?!'.$home_url.'|'.$qiniu_host.').*?\.(?:jpg|jpeg|gif|png|icon|bmp))[\'|\"]#', stripslashes ( $html ));
	} else {
		$regex	= '/' . str_replace('/', '\/', $local_host) . '\/([^\s\?\\\'\"\;\>\<]{1,}.(' . $cdn_exts . '))([\"\\\'\s\?]{1})/';
		$html =  preg_replace($regex, $qiniu_host . '/$1$3', $html);
	}
	return $html;
}
}


//文章截取字
function custom_excerpt_length( $length ) {
    return 100;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );

//对象转数组
function objectToArray($e){
    $e=(array)$e;
    foreach($e as $k=>$v){
        if( gettype($v)=='resource' ) return;
        if( gettype($v)=='object' || gettype($v)=='array' )
            $e[$k]=(array)objectToArray($v);
    }
    return $e;
}
/* Page Navigation */
function pagenavi() {
    global $wp_query, $wp_rewrite;
    $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;
    $pagination = array(
        'base' => @add_query_arg('paged','%#%'),
        'format' => '',
        'total' => $wp_query->max_num_pages,
        'current' => $current,
        'show_all' => false,
		'end_size'=>'1',   
        'mid_size'=>'5',
        'type' => 'plain',
        'prev_next' => false,
    );
    if( !empty($wp_query->query_vars['s']) )
        $pagination['add_args'] = array('s'=>get_query_var('s'));
	previous_posts_link('&laquo;','');
    echo paginate_links($pagination);
	next_posts_link('&raquo;','');
	if( $pagination['total']>1 ){
	}
}
function par_pagenavi($range = 5){
  global $paged, $wp_query;
  if ( !$max_page ) {$max_page = $wp_query->max_num_pages;}
  if($max_page > 1){if(!$paged){$paged = 1;}
  if($paged != 1){echo "<a href='" . get_pagenum_link(1) . "' class='extend' title='跳转到首页'> &laquo;</a>";
  }
  previous_posts_link('&lt;');
    if($max_page > $range){
    if($paged < $range){for($i = 1; $i <= ($range + 1); $i++){echo "<a href='" . get_pagenum_link($i) ."'";
    if($i==$paged)echo " class='current'";echo ">$i</a>";}}
    elseif($paged >= ($max_page - ceil(($range/2)))){
    for($i = $max_page - $range; $i <= $max_page; $i++){echo "<a href='" . get_pagenum_link($i) ."'";
    if($i==$paged)echo " class='current'";echo ">$i</a>";}}
  elseif($paged >= $range && $paged < ($max_page - ceil(($range/2)))){
    for($i = ($paged - ceil($range/2)); $i <= ($paged + ceil(($range/2))); $i++){echo "<a href='" . get_pagenum_link($i) ."'";if($i==$paged) echo " class='current'";echo ">$i</a>";}}}
    else{for($i = 1; $i <= $max_page; $i++){echo "<a href='" . get_pagenum_link($i) ."'";
    if($i==$paged)echo " class='current'";echo ">$i</a>";}}
  next_posts_link('&gt;');
    if($paged != $max_page){echo "<a href='" . get_pagenum_link($max_page) . "' class='extend' title='跳转到最后一页'> &raquo;</a>";
  }}
}

//搜索结果排除所有页面
function is_type_page_mi() { // Check if the current post is a page
  global $post;
  if ($post->post_type == 'page') {
  return true;
  } else {
  return false;
  }
}

//提高搜索结果相关性
if(is_search()){
add_filter('posts_orderby_request', 'search_orderby_filter');
}
function search_orderby_filter($orderby = ''){

	global $wpdb;

	$keyword = $wpdb->prepare($_REQUEST['s']);

	return "((CASE WHEN {$wpdb->posts}.post_title LIKE '%{$keyword}%' THEN 2 ELSE 0 END) + (CASE WHEN {$wpdb->posts}.post_content LIKE '%{$keyword}%' THEN 1 ELSE 0 END)) DESC,

{$wpdb->posts}.post_modified DESC, {$wpdb->posts}.ID ASC";

}



//关键字
//add_action('wp_head','deel_keywords');   

//网站描述 
//add_action('wp_head','deel_description');  
//关键字
function deel_keywords() {
  global $s, $post;
 
   
  $keywords = '';
  if ( is_single() ) {
	// if ( get_the_tags( $post->ID ) ) {
	//   foreach ( get_the_tags( $post->ID ) as $tag ) $keywords .= $tag->name . ', ';
	// }
	// foreach ( get_the_category( $post->ID ) as $category ) $keywords .= $category->cat_name . ', ';
	// $keywords = substr_replace( $keywords , '' , -2);
  if(get_option('mytheme_singlemi')){
       $singlemi=get_option('mytheme_singlemi');
       $keywords = get_the_title().','.get_post_meta( get_the_ID(), 'Director_mi_value', true ).','.$singlemi;
  }else{
          if(plugin_pll_active_mi('polylang')){
            $yuyan=pll_current_language();

              if($yuyan=="en"){
                $keywords = get_the_title().','.get_post_meta( get_the_ID(), 'Director_mi_value', true ).','.'Mobile Movie Downloads'.','.'xun lei downloads'.','.'ed2k';
              }else{
                  $keywords = get_the_title().','.get_post_meta( get_the_ID(), 'Director_mi_value', true ).','.'手机电影下载'.','.'迅雷下载'.','.'电驴下载'.','.'ed2k';
              }
          }else{
            $keywords = get_the_title().','.get_post_meta( get_the_ID(), 'Director_mi_value', true ).','.'手机电影下载'.','.'迅雷下载'.','.'电驴下载'.','.'ed2k';
        }
    }

  } elseif ( is_home () )    { $keywords = get_option('mytheme_keywords');
  } elseif ( is_tag() )      { $keywords =  get_option('mytheme_keywords');
  } elseif ( is_category() ) { $keywords =  get_option('mytheme_keywords');
  } elseif ( is_search() )   { $keywords = esc_html( $s, 1 );
  } else { $keywords = trim( wp_title('', false) );
  }
  if ( $keywords ) {
	//echo "<meta name=\"keywords\" content=\"$keywords\">\n";
	return $keywords;
  }
}
//网站描述
function deel_description() {
  global $s, $post;
  $description = '';
  $blog_name = get_bloginfo('name');
  if ( is_singular() ) {
	if( !empty( $post->post_excerpt ) ) {
	  $text = $post->post_excerpt;
	} else {
	  $text = $post->post_content;
	}
	$description = trim( str_replace( array( "\r\n", "\r", "\n", "　", " "), " ", str_replace( "\"", "'", strip_tags( $text ) ) ) );
	if ( !( $description ) ) $description = $blog_name . "-" . trim( wp_title('', false) );
  } elseif ( is_home () )    { $description = get_option('mytheme_description'); // 首頁要自己加
  } elseif ( is_tag() )      { $description = $blog_name . "'" . single_tag_title('', false) . "'";
  } elseif ( is_category() ) { $description = trim(strip_tags(category_description()));
  } elseif ( is_archive() )  { $description = $blog_name . "'" . trim( wp_title('', false) ) . "'";
  } elseif ( is_search() )   { $description = $blog_name . ": '" . esc_html( $s, 1 ) . "' 的搜索結果";
  } else { $description = $blog_name . "'" . trim( wp_title('', false) ) . "'";
  }
  $description = mb_substr( $description, 0, 220, 'utf-8' );
  return $description;
}
/* Print Tags */
function tagtext() {
	global $post;
	$gettags = get_the_tags($post->ID);
	if($gettags) {
	foreach ($gettags as $tag) {
		$posttag[] = $tag->name;
		}
		$tags = implode( ',', $posttag );
		return $tags;
	}
}
//保护后台登录
//add_action('login_enqueue_scripts','mi_login_protection');  
function mi_login_protection(){  
    if($_GET['wp'] != 'xm')header('Location: http://www.bttwo.com/');  
}

function dbsave($pfid,$data){
  //var_dump($pfid);
  //$data='000022';
  if(get_post_meta($pfid, 'douban_mi_value') == "")      
      add_post_meta($pfid, 'douban_mi_value', $data, true);      
    elseif($data != get_post_meta($pfid, 'douban_mi_value', true))      
      update_post_meta($pfid, 'douban_mi_value', $data);      
    elseif($data == "")      
      delete_post_meta($pfid, 'douban_mi_value', get_post_meta($pfid, 'douban_mi_value', true));
};
function douban_time($pfid,$data){
  //var_dump($pfid);
  //$data='000022';
  if(get_post_meta($pfid, 'douban_time_value') == "")      
      add_post_meta($pfid, 'douban_time_value', $data, true);      
    elseif($data != get_post_meta($pfid, 'douban_time_value', true))      
      update_post_meta($pfid, 'douban_time_value', $data);      
    elseif($data == "")      
      delete_post_meta($pfid, 'douban_time_value', get_post_meta($pfid, 'douban_time_value', true));
};


//周期内热门电影SQL查询 按views查看
if(!function_exists('get_most_viewed_mi')) {
    function get_most_viewed_mi($mode = '', $limit = 10, $days ='7', $polylang='zh_CN',$display = true) {
        global $wpdb;
        //$views_options = get_option('views_options');
        $where = '';
        $temp = '';
        $output = '';
        if(!empty($mode) && $mode != 'both') {
            if(is_array($mode)) {
                $mode = implode("','",$mode);
                $where = "post_type IN ('".$mode."')";
            } else {
                $where = "post_type = '$mode'";
            }
        } else {
            $where = '1=1';
        };
        $lang='zh_CN';
        $buer=false;
        $today = date("Y-m-d H:i:s");
        $daysago = date( "Y-m-d H:i:s", strtotime($today) - ($days * 24 * 60 * 60) );  //Today - $days
        // var_dump($last_day);
        //$most_viewed = $wpdb->get_results("SELECT DISTINCT $wpdb->posts.*, (meta_value+0) AS views FROM $wpdb->posts LEFT JOIN $wpdb->postmeta ON $wpdb->postmeta.post_id = $wpdb->posts.ID WHERE post_date < '".current_time('mysql')."' AND $where AND post_status = 'publish' AND meta_key = 'views' AND post_password = '' ORDER BY views DESC LIMIT $limit");
        

           $posts_lang=$wpdb->get_results(
            "SELECT DISTINCT $wpdb->term_taxonomy.term_taxonomy_id,$wpdb->term_taxonomy.description
            from  $wpdb->term_relationships
            left join $wpdb->term_taxonomy  
            on  $wpdb->term_relationships.term_taxonomy_id=$wpdb->term_taxonomy.term_taxonomy_id
             WHERE  taxonomy='language'      
             ");

            $datxt=objectToArray($posts_lang);
            foreach($posts_lang as $key => $val) { 
                foreach($val as $value) { 
                    $new_arr[] = $value; 
                };
                
            };
             //var_dump($datxt);
            foreach ($datxt as $value) {
              $pet=unserialize($value['description']);
              if($pet['locale']==$polylang){
                $lang=$value['term_taxonomy_id'];
                $buer=true;
              }

            };

            if($buer){
               $most_viewed=$wpdb->get_results(
                  "SELECT DISTINCT $wpdb->posts.*, (meta_value+0) AS views
                    FROM $wpdb->posts
                    LEFT JOIN $wpdb->postmeta ON $wpdb->postmeta.post_id = $wpdb->posts.ID
                    LEFT JOIN $wpdb->term_relationships ON $wpdb->term_relationships.object_id = $wpdb->posts.ID
                    WHERE  $where  AND post_status = 'publish' AND meta_key = 'views' AND post_password = '' AND post_date BETWEEN '$daysago' AND '$today' AND term_taxonomy_id IN ($lang) 
                    ORDER BY views
                    DESC LIMIT $limit
                  ");
              
            }else{
               $most_viewed = $wpdb->get_results(
                "SELECT DISTINCT $wpdb->posts.*, (meta_value+0) AS views 
                FROM $wpdb->posts 
                LEFT JOIN $wpdb->postmeta ON $wpdb->postmeta.post_id = $wpdb->posts.ID 
                WHERE  $where  AND post_status = 'publish' AND meta_key = 'views' AND post_password = '' AND post_date BETWEEN '$daysago' AND '$today' 
                ORDER BY views 
                DESC LIMIT $limit");
            }
              //$pet = unserialize('a:2:{s:6:"locale";s:5:"zh_CN";s:3:"rtl";i:0;}');
              //$pet['locale']
            //var_dump($most_viewed);
        
        if($most_viewed) {
           $output=$most_viewed;
        } else {
            return false;
        }
        if($display) {
            return $output;
        }
    }
}

//添加特色图的外链
add_filter( 'admin_post_thumbnail_html', 'plc_post_thumbnail_add_description' ,10, 2);

function plc_post_thumbnail_add_description( $content, $post_id ){
$post = get_post( $post_id );
$imgurl=get_post_meta($post_id, 'thumb_tes',true);
$post_type = $post->post_type;
    if ( $post_type = plc_person) {
      $content .= '<p><input type="url" name="thumb_tes" value="'.$imgurl.'" style="width:100%;" class="code" placeholder="设置外链特色图地址"> </p>';
    return $content;
  }
}
add_action( 'save_post','save_img', 1, 2);
function save_img( $post_id ) {
         if(isset($_POST['thumb_tes'])){
               $imgurl=trim($_POST['thumb_tes']);
         }else{
          return;
         }

    if(get_post_meta($post_id, 'thumb_tes') == "")    
      add_post_meta($post_id,'thumb_tes', $imgurl, true);      
    elseif($imgurl != get_post_meta($post_id,'thumb_tes', true))      
      update_post_meta($post_id, 'thumb_tes', $imgurl);      
    elseif($imgurl == "")      
     delete_post_meta($post_id, 'thumb_tes', get_post_meta($post_id, 'thumb_tes', true));      
 
  }
//下载链接地址JS管理
/**
 * [downloads_link description]
 * @return [type] [description]
 */
function downloads_link(){
    if (defined('DOING_AJAX') && DOING_AJAX) {
         $doid = isset($_POST['doid']) ? $_POST['doid'] : '';
          $ver = isset($_POST['ver']) ? $_POST['ver'] : '';
          if(  is_numeric($ver)&& is_numeric($doid)){
             $link=do_shortcode('[download_data id="'.$doid.'"  version_id="'.$ver.'"  data="download_link"]');
             //$link="2121212";
           }else{
             exit;
           };
         echo $link;
         exit;
    }else{
        die();
    }
         
}
add_action('wp_ajax_downloads_link', 'downloads_link');
add_action('wp_ajax_nopriv_downloads_link', 'downloads_link');
/* JS parameters */
function mi_script_parameter(){
    $object = array();
     $object['wp_url'] = get_bloginfo('url');
    $object['endpoint_value'] = get_option( 'dlm_download_endpoint_value' );
    $object['endpoint']=get_option( 'dlm_download_endpoint' ) ;
    $object['ajax_url'] = admin_url('admin-ajax.php');
      if(is_admin()){
        $object['wp_template_url'] =get_theme_root_uri().'/'.get_template();
      }
    $object['loadingmessage'] = __('Download address error, refresh the page to try again!','mibt');
    if(is_single()){
        global $post;
        if(get_option( 'mytheme_sina_name' )){$sina_name=get_option( 'mytheme_sina_name' );}else{$sina_name='@BTTWO电影分享';};
          if(get_option( 'mytheme_sina_key' )){$sina_key=get_option( 'mytheme_sina_key' );}else{$sina_key='1590521644';};
           if(get_option( 'mytheme_twitter_login' )){$twitter_login=get_option( 'mytheme_twitter_login' );}else{$twitter_login='330811134';};
        $object['pid'] = $post->ID;
         $object['sina_name'] = $sina_name;
         $object['sina_key'] = $sina_key;
           $object['twitter_login'] = $twitter_login;
    }
    //$object['timthumb'] = UM_URI.'func/timthumb.php?src=';
    $object_json = json_encode($object);
    return $object_json;
}
function mi_add_dowlink() {

     echo ' <script type="text/javascript">var um ='.mi_script_parameter().' </script>';
 
}
add_action('wp_enqueue_scripts', 'mi_add_dowlink');
add_action('admin_enqueue_scripts', 'mi_add_dowlink');



function trorent_size_id( $form_fields, $post ) {
    $file_torrent_size = get_post_meta( $post->ID, 'file_torrent_size', true );
    $file_torrent_name = get_post_meta( $post->ID, 'file_torrent_name', true );
    $post_ty=$post->guid;
    $type=wp_check_filetype( basename($post_ty ), null );
    if($type['ext']=='torrent'){
              $form_fields['torrent_size'] = array(
                  'label' =>__( 'Movie size','mibt'),
                  'input' => 'html',
                  'html' => "<input type='text' class='text' name='torrent_size' value='$file_torrent_size' /><br />",
                  //'helps' => '来自种子内下载影片实际大小',
              );
           $form_fields['torrent_name'] = array(
                  'label' =>__( 'BT name','mibt'),
                  'input' => 'html',
                  'html' => "<input type='text' class='text' name='torrent_name' value='$file_torrent_name' /><br />",
                  //'helps' => '来自种子内影片信息',
              );
         }
         
          return $form_fields;
   }
add_filter( 'attachment_fields_to_edit', 'trorent_size_id', 10, 2 );


//更新种子的meta信息
 function get_name_trorren($data,$post_id){
      $file_url=wp_get_attachment_url($post_id );
      //$name = wp_basename( $file_url, ".$ext" );
      $type=wp_check_filetype( basename( $file_url ), null );
      //  var_dump($type);
      // die;
      if($type['ext']=='torrent'){
                $Lightbenc=new Lightbenc();
                $btfile=$Lightbenc->bdecode_getinfo($file_url);
                $torrent_size=round(($btfile['info']['size'])/(1024*1024*1024),2);
                $file_torrent_name=$btfile['info']['name'];
                 update_post_meta( $post_id, 'file_torrent_size', $torrent_size.'GB',true);
                 update_post_meta( $post_id, 'file_torrent_name', $file_torrent_name,true);
                }

                return $data;
   }
add_filter('wp_update_attachment_metadata','get_name_trorren',10,2);

//下载插件添加功能
function gaoqing($file_id, $i){
      $downloadable_file_daxiao = $_POST['downloadable_file_daxiao'];
      $downloadable_file_qingxidu = $_POST['downloadable_file_qingxidu'];
      $downloadable_file_urls           = $_POST['downloadable_file_urls'];
      $downloadable_file_torrent_id    = $_POST['downloadable_file_torrent_id'];
      $downloadable_file_version        = $_POST['downloadable_file_version'];
     $files = sanitize_text_field( $downloadable_file_urls[ $i ] );
     // $files               =  array_map( 'trim', $downloadable_file_urls[ $i ] ) ;
        $file_daxiao = sanitize_text_field( $downloadable_file_daxiao[ $i ] );
        $file_qingxidu = sanitize_text_field( $downloadable_file_qingxidu[ $i ] );
         $file_torrent_id = sanitize_text_field( $downloadable_file_torrent_id[ $i ] );
         $file_version = strtolower( sanitize_text_field( $downloadable_file_version[ $i ] ) );
         $upload_dir=wp_upload_dir();
       // var_dump($downloadable_file_torrent_id);
       // die;
       if(!empty($file_torrent_id)){ //判断是否有种子ID
          $file_daxiao_fujian  = get_post_meta( $file_torrent_id, 'file_torrent_size', true );//来自附件种子大小
          $file_name_fujian  = get_post_meta( $file_torrent_id, 'file_torrent_name', true );
           // var_dump($file_daxiao_fujian);
           // var_dump('111111');
           // var_dump($file_id);
          if($file_daxiao_fujian&&$file_name_fujian){
            update_post_meta( $file_id, 'file_daxiao', $file_daxiao_fujian);
            update_post_meta( $file_id, '_version', $file_daxiao_fujian );
          }else{
              $output = preg_match_all('/uploads\/(.*(\.torrent)$)/', $files, $matches);
              $urlhou = $matches[1][0];
              $file_url=$upload_dir["basedir"].'/'.$urlhou;
 
              $Lightbenc=new Lightbenc();
              $btfile=$Lightbenc->bdecode_getinfo($file_url);
              $torrent_size=round(($btfile['info']['size'])/(1024*1024*1024),2);
              $file_torrent_name=$btfile['info']['name'];

              // var_dump($file_url);
              // var_dump($btfile['info']['size']);
              // var_dump($torrent_size);
              // var_dump($file_torrent_name);
                if(empty($file_daxiao)){
                  update_post_meta( $file_id, 'file_daxiao', $torrent_size.'GB' );
                }
                if(empty($file_version)){
                    update_post_meta( $file_id, '_version', $torrent_size );
                }
                update_post_meta( $downloadable_file_torrent_id[$i], 'file_torrent_size', $torrent_size.'GB',true);
                update_post_meta( $downloadable_file_torrent_id[$i], 'file_torrent_name', $file_torrent_name,true);
          }
        update_post_meta( $file_id, 'file_qingxidu', $file_qingxidu );
        update_post_meta( $file_id, 'file_torrent_id', $file_torrent_id );
        }
          // var_dump(get_post_meta( $file_id, 'file_daxiao', $file_daxiao_fujian));
          //       die();
        //var_dump($file_torrent_size = get_post_meta( $downloadable_file_torrent_id[$i], 'file_torrent_size', true ));
        //die();
};
add_action('dlm_save_downloadable_file','gaoqing',10,2);

function htmladd($file, $i){ 
    $file_torrent_id   = get_post_meta( $file->ID, 'file_torrent_id', true );
    $file_daxiao   = get_post_meta($file->ID, 'file_daxiao', true );
    $file_qingxidu   = get_post_meta( $file->ID, 'file_qingxidu', true );
    //var_dump($file->ID);
    // die();
  ?>
   <tr>
          <td>
        <label><?php _e( 'Movie size', 'mibt' ); ?>:</label>
        <input type="text" class="short size_mi" name="downloadable_file_daxiao[<?php echo $i; ?>]"
               placeholder="<?php _e( 'Size', 'mibt' ); ?>" value="<?php echo $file_daxiao; ?>"/>
      </td>
      <td>
          <label><?php _e( 'Clarity', 'mibt' ); ?>:</label>
        <input type="text" class="short qxd_mi" name="downloadable_file_qingxidu[<?php echo $i; ?>]"
               placeholder="<?php _e( 'Clarity', 'mibt' ); ?>" value="<?php echo $file_qingxidu; ?>"/>
       <input type="hidden" class="short torrent_mi" name="downloadable_file_torrent_id[<?php echo $i; ?>]" value="<?php echo $file_torrent_id; ?>"/>
      </td>
        </tr>

       
     
<?php }
add_action('dlm_downloadable_file_version_table_end','htmladd',10,2);

//修改下载插件用户权限
add_filter('dlm_download_category_args','dlm_download_category_args_mi');
function dlm_download_category_args_mi($args){
    $args=array(
        'hierarchical'          => true,
        'update_count_callback' => '_update_post_term_count',
        'label'                 => __( 'Categories', 'download-monitor' ),
        'labels'                => array(
          'name'              => __( 'Categories', 'download-monitor' ),
          'singular_name'     => __( 'Download Category', 'download-monitor' ),
          'search_items'      => __( 'Search Download Categories', 'download-monitor' ),
          'all_items'         => __( 'All Download Categories', 'download-monitor' ),
          'parent_item'       => __( 'Parent Download Category', 'download-monitor' ),
          'parent_item_colon' => __( 'Parent Download Category', 'download-monitor' ),
          'edit_item'         => __( 'Edit Download Category', 'download-monitor' ),
          'update_item'       => __( 'Update Download Category', 'download-monitor' ),
          'add_new_item'      => __( 'Add New Download Category', 'download-monitor' ),
          'new_item_name'     => __( 'New Download Category Name', 'download-monitor' )
        ),
        'show_ui'               => true,
        'query_var'             => true,
        'rewrite'               => false,
        'show_in_nav_menus'     => false
      );
    return $args;

}
add_filter('dlm_cpt_dlm_download_args','dlm_cpt_dlm_download_args_mi');
function dlm_cpt_dlm_download_args_mi($args){
  $args=array(
        'labels'              => array(
          'all_items'          => __( 'All Downloads', 'download-monitor' ),
          'name'               => __( 'Downloads', 'download-monitor' ),
          'singular_name'      => __( 'Download', 'download-monitor' ),
          'add_new'            => __( 'Add New', 'download-monitor' ),
          'add_new_item'       => __( 'Add Download', 'download-monitor' ),
          'edit'               => __( 'Edit', 'download-monitor' ),
          'edit_item'          => __( 'Edit Download', 'download-monitor' ),
          'new_item'           => __( 'New Download', 'download-monitor' ),
          'view'               => __( 'View Download', 'download-monitor' ),
          'view_item'          => __( 'View Download', 'download-monitor' ),
          'search_items'       => __( 'Search Downloads', 'download-monitor' ),
          'not_found'          => __( 'No Downloads found', 'download-monitor' ),
          'not_found_in_trash' => __( 'No Downloads found in trash', 'download-monitor' ),
          'parent'             => __( 'Parent Download', 'download-monitor' )
        ),
        'description'         => __( 'This is where you can create and manage downloads for your site.', 'download-monitor' ),
        'public'              => false,
        'show_ui'             => true,
        'publicly_queryable'  => false,
        'exclude_from_search' => true,
        'hierarchical'        => false,
        'rewrite'             => false,
        'query_var'           => false,
        'supports'            =>array(
          'title',
          'editor',
          'excerpt',
          'thumbnail',
          'custom-fields'
        ),
        'has_archive'         => false,
        'show_in_nav_menus'   => false
      );
  return $args;

}


add_filter('the_content', 'bttwo_image_alt_tag'); //文章中的图片添加上alt
function bttwo_image_alt_tag($content){
	//非后端页面操作
	//$content=get_post($post_id)->post_content;
	// var_dump($content);
	// die();
	if( is_admin() ) {
		//全局量
		
		global $post;
		//文章标题
		$post_title = $post -> post_title;
		//$content=$post->post_content;

		// 获取博客名称
		$blogname = wp_specialchars_decode(get_option('blogname'), ENT_QUOTES);
		//获取文章图片数目
		$num = preg_match_all( '/<img.*?>/i', $content, $matches );
		
		$temp = '*@@##@@*';
		for( $i = 1; $i <= $num; $i++ ) {
			// Get original title and alt
			preg_match( '/<img.*?>/', $content, $match_img );
			$img = isset( $match_img[0] ) ? $match_img[0] : '';

			preg_match( '/<img.*?title=[\"\'](.*?)[\"\'].*?>/', $img, $match_title );
			$title = isset( $match_title[1] ) ? $match_title[1] : '';

			preg_match( '/<img.*?alt=[\"\'](.*?)[\"\'].*?>/', $img, $match_alt );
			$alt = isset( $match_alt[1] ) ? $match_alt[1] : '';

			// 清空文章图片title与alt
			if( $title )
				$content = preg_replace( '/(<img.*?) title=["\'].*?["\']/i', '${1}', $content, 1 );
			if( $alt )
				$content = preg_replace( '/(<img.*?) alt=["\'].*?["\']/i','${1}', $content, 1 );

			//设置文章图片title与alt
			$title = $post_title.' - '.$blogname.' - '.$i;
			$alt = $post_title.' - '.$blogname.' - '.$i;

			// 构建替换目标
			$replace = '<' . $temp . ' title="' . $title . '" alt="' . $alt . '"';
			$content = preg_replace( '/<img/i', $replace, $content, 1 );
		}

		$content = str_replace( $temp, 'img', $content );

	}

	return $content;
}
//移动端不新开页跳转
function mobile_blank(){
  if(!wp_is_mobile()){
    echo ' target="_blank"';
  }
}
//优化自定义文件URL地址
add_filter('post_type_link', 'mibt_movie_bt_link', 1, 3); 
function mibt_movie_bt_link( $link, $post = 0 ){     
  if ( $post->post_type == 'movie_bt' ){         
    return home_url( 'movie/' . $post->ID .'.html' );     
  } else {         
    return $link;     
  } 
} 
add_action( 'init', 'movie_bt_rewrites_init' ); 
function movie_bt_rewrites_init(){     
  add_rewrite_rule( 'movie/([0-9]+)?.html$', 'index.php?post_type=movie_bt&p=$matches[1]','top' );     
  add_rewrite_rule('movie/([0-9]+)?.html/comment-page-([0-9]{1,})$','index.php?post_type=movie_bt&p=$matches[1]&cpage=$matches[2]','top'); 
}


include(TEMPLATEPATH.'/admin/types-movie_bt.php');
include(TEMPLATEPATH.'/admin/bt_download_url.php');
include(TEMPLATEPATH.'/admin/movie_basic_information-meta.php');
include(TEMPLATEPATH.'/admin/bt_movie_drama_url.php');
include(TEMPLATEPATH.'/admin/init.php');
include(TEMPLATEPATH.'/admin/Torrent2.php');
include(TEMPLATEPATH.'/admin/display_meta_bt.php');
include_once(TEMPLATEPATH.'/fun/comments-functions.php');
// include_once(TEMPLATEPATH.'/fun/functions-cache.php');
// include(TEMPLATEPATH.'/modules/filter.php');
// include(TEMPLATEPATH.'/modules/rewrite.php');
//include(TEMPLATEPATH.'/modules/user/func/setting-api.php');
//include(TEMPLATEPATH.'/modules/user/func/captcha.php');//验证码

add_action('beautiful_actions_before_select','test_ab',10,2);
function test_ab($key, $current_post_type){
  //var_dump($key.'----'.$current_post_type);
}


function loadCustomTemplate($template) {
    global $wp_query;
    if(!file_exists($template))return;
    $wp_query->is_page = true;
    $wp_query->is_single = false;
    $wp_query->is_home = false;
    $wp_query->comments = false;
    // if we have a 404 status
    if ($wp_query->is_404) {
    // set status of 404 to false
        unset($wp_query->query["error"]);
        $wp_query->query_vars["error"]="";
        $wp_query->is_404=false;
    }
    // change the header to 200 OK
    header("HTTP/1.1 200 OK");
    //load our template
    include($template);
    exit;
}
function templateRedirect() {
    // $basename = basename($_SERVER['REQUEST_URI'], '?' . $_SERVER['QUERY_STRING']);
     //$basename ='http://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];;
     $basename =$_SERVER['REQUEST_URI'];
     if(strpos($basename, '/v_play/') !== false){
        loadCustomTemplate(TEMPLATEPATH."/play/play.php");
     }
  // loadCustomTemplate(TEMPLATEPATH.'/play/'."/$basename.php");
}
  
add_action('template_redirect', 'templateRedirect');
